/fal-ai/flux-1/schnell/redux
Official documentation: https://fal.ai/models/fal-ai/flux-1/schnell/redux
POST
/fal-ai/flux-1/schnell/reduxBody Parametersapplication/json
acceleration string
Generation speed. The higher the speed, the faster the build speed. Default value: "regular" supports default, none, regular, and high
enable_safety_checker boolean
If set to true, the security checker is enabled. Default value: true
image_size string
The size of the generated image. Default: landscape_4_3 range (3:4, 4:3, 16:9, 9:16)
image_url* string
Drag and drop files here, or provide base64-encoded data URL Accepted file types: jpg, jpeg, png, webp, gif, avif
num_images integer
The number of images generated. Default value: 1 Range value 1-4
num_inference_steps integer
The number of inference steps to perform. Default value: 4 Range value: 1-12
output_format string
The format of the generated image. Default value: "jpeg" supports default, png, jpeg
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"acceleration": "regular",
3"enable_safety_checker": true,
4"image_size": "landscape_4_3",
5"image_url": "https://fal.media/files/kangaroo/acQvq-Kmo2lajkgvcEHdv.png",
6"num_images": 1,
7"num_inference_steps": 4,
8"output_format": "jpeg"
9}
1curl -X POST "https://api.digislash.com/fal-ai/flux-1/schnell/redux" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"acceleration": "regular",
6"enable_safety_checker": true,
7"image_size": "landscape_4_3",
8"image_url": "https://fal.media/files/kangaroo/acQvq-Kmo2lajkgvcEHdv.png",
9"num_images": 1,
10"num_inference_steps": 4,
11"output_format": "jpeg"
12}'
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "acf05732-7cb3-445b-9f39-fdaeccb1d730",
7"response_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/status"
10}
